## IAnjutaMacro IAnjutaMacro — Macro processor interface |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-macro.h>

    #define             IANJUTA_MACRO_ERROR
                        IAnjutaMacro;
                        IAnjutaMacroIface;
    GQuark              ianjuta_macro_error_quark           (void);
    void                ianjuta_macro_insert                (IAnjutaMacro *obj,
                                                             const gchar *key,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaMacro

## Prerequisites

IAnjutaMacro requires GObject.

## Description

## Details

### IANJUTA_MACRO_ERROR

    #define IANJUTA_MACRO_ERROR ianjuta_macro_error_quark()

### IAnjutaMacro

    typedef struct _IAnjutaMacro IAnjutaMacro;

### IAnjutaMacroIface

    typedef struct {
    	GTypeInterface g_iface;

    	void (*insert) (IAnjutaMacro *obj, const gchar* key, GError **err);
    } IAnjutaMacroIface;

### ianjuta_macro_error_quark ()

    GQuark              ianjuta_macro_error_quark           (void);

Returns : |

### ianjuta_macro_insert ()

    void                ianjuta_macro_insert                (IAnjutaMacro *obj,
                                                             const gchar *key,
                                                             GError **err);

Insert Macro to editor

`obj` : | Self
`key` : | Key of the macro
`err` : | Error propagation and reporting